# $Revision: 1.42 $, $Date: 2008-05-28 18:00:22 $
Summary:	GNU time Utility
Summary(de.UTF-8):	GNU-Time-Utility
Summary(fr.UTF-8):	Utilitaire time de GNU
Summary(pl.UTF-8):	Narzędzie do pomiaru czasu GNU
Summary(tr.UTF-8):	GNU zamanlama aracı
Name:		time
Version:	1.7
Release:	25
License:	GPL
Group:		Applications/System
Source0:	http://ftp.gnu.org/gnu/time/%{name}-%{version}.tar.gz
# Source0-md5:	e38d2b8b34b1ca259cf7b053caac32b3
Patch0:		%{name}-info.patch
Patch1:		%{name}-man.patch
Patch2:		%{name}-alpha.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The 'time' utility is used as a sort of 'stopwatch' to time the
execution of a specified command. It can aid in the optimization of
programs for maximum speed, as well as a number of other uses.

%description -l de.UTF-8
Das TIME-Utility wird als eine Art Stoppuhr zum Messen der Ausführung
eines bestimmten Befehls benutzt. Es dient in erster Linie der
Optimierung von Programmen für maximale Geschwindigkeit, hat aber
daneben eine Vielzahl anderer Anwendungen.

%description -l fr.UTF-8
L'utilitaire « time » sert de chronomètre pour mesurer le temps
d'exécution d'une commande donnée. Il peut aider à l'optimisation de
programmes pour obtenir une vitesse maximale et a beaucoup d'autres
uilisations.

%description -l pl.UTF-8
Program time umożliwia zmierzenie czasu wykonania badanego programu.
Jest pomocne np. przy optymalizowaniu algorytmów pod kątem szybkości.

%description -l tr.UTF-8
time, bir uygulamanın çalışma zamanının ölçülmesi için kronometre gibi
kullanılır. Genellikle programların hız açısından iyileştirilmesinde
yararlı olur.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install time.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/time
%{_infodir}/time.info*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: time.spec,v $
Revision 1.42  2008-05-28 18:00:22  glen
- rel 25 for fc2 upgrade

Revision 1.41  2008-04-08 08:24:55  glen
- unify ftp.gnu.org urls

Revision 1.40  2008-01-24 01:23:02  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.39  2007-09-05 13:55:29  baggins
- rel 18

Revision 1.38  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.37  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.36  2003/12/01 00:37:20  undefine
- release 17 to rebuild with ac

Revision 1.35  2003/08/08 12:35:03  qboosh
- added alpha patch to force using wait3() and allow build on alpha
- simplified install, BR: am
- release 16

Revision 1.34  2003/05/27 12:03:18  trojan
- added Source-md5

Revision 1.33  2003/05/25 06:27:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2002/12/24 00:26:02  qboosh
- updated Source0 URL

Revision 1.31  2002/11/30 23:00:29  juandon
- new %doc

Revision 1.30  2002/05/21 23:14:49  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.29  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.28  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/18 02:15:11  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.24  2001/07/15 23:56:02  kloczek
- release 15: added texinfo to BuildRequires.

Revision 1.23  2000/10/12 02:14:56  kloczek
- release 14: use new rpm automation.

Revision 1.22  2000/06/18 22:54:25  kloczek
- release 13,
- spec adapterized.

Revision 1.21  2000/06/09 07:24:00  kloczek
- added using %{__make} macro.

Revision 1.20  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.19  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.18  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.16  1999/09/24 10:45:03  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.15  1999/09/19 10:20:38  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.14  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).
